protected:
  // Overrides the base class version of drawCell()
  virtual void drawCell(FXDC& dc,FXint xlo,FXint xhi,FXint ylo,FXint yhi,FXint xoff,FXint yoff,FXint sr,FXint er,FXint sc,FXint ec);

  // Overrides the base class version of drawRange()
  virtual void drawRange(FXDC& dc,FXint xlo,FXint xhi,FXint ylo,FXint yhi,FXint xoff,FXint yoff,FXint rlo,FXint rhi,FXint clo,FXint chi);

  // Overrides the base class version of createItem()
  virtual FXTableItem* createItem(const FXString& text,FXIcon* icon,void* ptr);

public:
  // Publically accessible version of drawCell()
  void public_drawCell(FXDC& dc,FXint xlo,FXint xhi,FXint ylo,FXint yhi,FXint xoff,FXint yoff,FXint sr,FXint er,FXint sc,FXint ec);

  // Publically accessible version of drawRange()
  void public_drawRange(FXDC& dc,FXint xlo,FXint xhi,FXint ylo,FXint yhi,FXint xoff,FXint yoff,FXint rlo,FXint rhi,FXint clo,FXint chi);

  // Publically accessible version of createItem()
  FXTableItem* public_createItem(const FXString& text,FXIcon* icon,void* ptr);

public:
  // Overrides the base class version of setLeadingRows()
  virtual void setLeadingRows(FXint leadrows);

  // Overrides the base class version of setLeadingCols()
  virtual void setLeadingCols(FXint leadcols);

  // Overrides the base class version of setTrailingRows()
  virtual void setTrailingRows(FXint trailrows);

  // Overrides the base class version of setTrailingCols()
  virtual void setTrailingCols(FXint trailcols);

  // Overrides the base class version of insertRows()
  virtual void insertRows(FXint row,FXint nr=1,FXbool notify=FALSE);
  
  // Overrides the base class version of insertColumns()
  virtual void insertColumns(FXint col,FXint nc=1,FXbool notify=FALSE);
  
  // Overrides the base class version of removeRows()
  virtual void removeRows(FXint row,FXint nr=1,FXbool notify=FALSE);
  
  // Overrides the base class version of removeColumns()
  virtual void removeColumns(FXint col,FXint nc=1,FXbool notify=FALSE);

  // Overrides the base class version of removeItem()
  virtual void removeItem(FXint row,FXint col,FXbool notify=FALSE);
